Bug 243166 - security/strongswan: load ipsec module by rcscript
Summary: security/strongswan: load ipsec module by rcscript
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-01-07 19:23 UTC by Dries Michiels
Modified: 2020-01-11 18:56 UTC (History)
2 users (show)

See Also:
strongswan: maintainer-feedback+


Attachments
strongswan.diff (7.61 KB, patch)
2020-01-07 19:23 UTC, Dries Michiels
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dries Michiels 2020-01-07 19:23:12 UTC
Created attachment 210512 [details]
strongswan.diff

From the following discussion: https://reviews.freebsd.org/D20163
It makes sense to add ipsec as required module for the rc script of strongSwan.
Comment 1 strongswan 2020-01-08 06:21:52 UTC
Comment on attachment 210512 [details]
strongswan.diff

Thank you for the update.
I am happy with the patch.
Comment 2 Dries Michiels 2020-01-10 12:15:14 UTC
Hi Meta, since you grabbed this PR, will you take care of the commit? Thanks in advance!
Comment 3 Koichiro Iwao freebsd_committer 2020-01-11 15:14:06 UTC
(In reply to Dries Michiels from comment #2)
Yep. I'm testing the patch. Will commit it shortly.
Comment 4 Koichiro Iwao freebsd_committer 2020-01-11 15:43:26 UTC
Committed, thanks!

https://svnweb.freebsd.org/changeset/ports/522689
Comment 5 Dries Michiels 2020-01-11 18:56:20 UTC
Cool, thanks!